apiVersion: v1
kind: Service
metadata:
  name: {{ .Values.service.metadata.labels }}

  labels:
    app: {{ .Values.service.metadata.labels }}
spec:
  type: {{ .Values.service.type }}
  ports:
    - port: {{ .Values.service.port }}
      targetPort: {{ .Values.service.targetPort }}
      protocol: TCP
  selector:
    app: {{ .Values.app.metadata.labels }}